package com.ycgis.macall.personalcenter.m.adapterbean;

import com.rs.macall.androidx.basemodel.utils.StringUtil;

import java.io.Serializable;

/**
 * created by:   Macall
 * create time:  2023/11/16 15:29
 * copyright:    @ruansee.com
 * Describe:
 */
public class FeedbackBean extends BaseBean implements Serializable {

    /**
     * id : 5
     * applicationId : 23
     * alarmSignal : 064922
     * alarmName : 陈乐
     * type : 1
     * createTime : 2023-11-16 14:49:54
     * title : APP测试
     * content : 看看效果
     * applicationName : 聆听通讯
     * updateTime : null
     */

    private int id;
    private int type;
    private String createTime;
    private String title;
    private String content;
    private String applicationName;
    private int replyStatus;
    private String replyContent;
    private String replier;
    private String updateTime;

    public int getId() {
        return id;
    }

    public void setId(int id) {
        this.id = id;
    }

    public int getType() {
        return type;
    }

    public String getTypeStr() {
        switch (type) {
            case 1:
                return "个人建议";
            case 2:
                return "软件问题";
            case 3:
                return "硬件问题";
            default:
            case 4:
                return "其它";
        }
    }

    public void setType(int type) {
        this.type = type;
    }

    public String getCreateTime() {
        return createTime;
    }

    public String getCreateTimeStr() {
        return StringUtil.get(createTime, "暂无");
    }

    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    public int getReplyStatus() {
        return replyStatus;
    }

    public String getReplyStatusStr() {
        return replyStatus == 0?"未回复":"已回复";
    }

    public void setReplyStatus(int replyStatus) {
        this.replyStatus = replyStatus;
    }

    public String getTitle() {
        return title;
    }

    public String getTitleStr() {
        return StringUtil.get(title, "暂无");
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public String getContent() {
        return content;
    }

    public String getContentStr() {
        return StringUtil.get(content, "暂无");
    }

    public void setContent(String content) {
        this.content = content;
    }

    public String getApplicationName() {
        return applicationName;
    }

    public void setApplicationName(String applicationName) {
        this.applicationName = applicationName;
    }

    public String getReplyContent() {
        return StringUtil.get(replyContent,"暂无");
    }

    public void setReplyContent(String replyContent) {
        this.replyContent = replyContent;
    }

    public String getReplier() {
        return StringUtil.get(replier,"暂无");
    }

    public void setReplier(String replier) {
        this.replier = replier;
    }

    public String getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(String updateTime) {
        this.updateTime = updateTime;
    }
}
